## org.gnu.gtk
Class ColorSelection

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.GtkObject
              org.gnu.gtk.Widget
                  org.gnu.gtk.Container
                      org.gnu.gtk.Box
                          org.gnu.gtk.VBox
                              org.gnu.gtk.ColorSelection

public class ColorSelection
extends VBox

This widget displays color information in such a way that the user can specify, with the mouse, any available color.

See Also:
  `ColorSelectionDialog`

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`ColorSelection()` Creates a new gtk.ColorSelection.
`ColorSelection(Handle handle)` construct a ColorSelection from a handle to a native peer.

Method Summary
`void` `addListener(ColorSelectionListener listener)` Register an object to handle dialog events.
`protected void` `fireColorSelectionEvent(ColorSelectionEvent event)`
`int` `getCurrentAlpha()` Returns the current opacity.
`Color` `getCurrentColor()` Returns the color which is set in the widget
`java.lang.Class` `getEventListenerClass(java.lang.String signal)`
`EventType` `getEventType(java.lang.String signal)`
`boolean` `getHasOpacityControl()` Determines whether the ColorSelection has an opacity control.
`boolean` `getHasPalette()` Determines whether the widget's palette is visible.
`int` `getPreviousAlpha()` Returns the previous alpha value.
`Color` `getPreviousColor()` Returns the previous color.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static int` `gtk_color_selection_get_current_alpha(Handle colorsel)`
`protected static Handle` `gtk_color_selection_get_current_color(Handle colorsel)`
`protected static boolean` `gtk_color_selection_get_has_opacity_control(Handle colorsel)`
`protected static boolean` `gtk_color_selection_get_has_palette(Handle colorsel)`
`protected static int` `gtk_color_selection_get_previous_alpha(Handle colorsel)`
`protected static void` `gtk_color_selection_get_previous_color(Handle colorsel, Handle color)`
`protected static int` `gtk_color_selection_get_type()`
`protected static boolean` `gtk_color_selection_is_adjusting(Handle colorsel)`
`protected static Handle` `gtk_color_selection_new()`
`protected static boolean` `gtk_color_selection_palette_from_string(java.lang.String str, Handle[] color)`
`protected static java.lang.String` `gtk_color_selection_palette_to_string(Handle color, int nColors)`
`protected static void` `gtk_color_selection_set_current_alpha(Handle colorsel, int alpha)`
`protected static void` `gtk_color_selection_set_current_color(Handle colorsel, Handle color)`
`protected static void` `gtk_color_selection_set_has_opacity_control(Handle colorsel, boolean hasOpacity)`
`protected static void` `gtk_color_selection_set_has_palette(Handle colorsel, boolean hasPalette)`
`protected static void` `gtk_color_selection_set_previous_alpha(Handle colorsel, int alpha)`
`protected static void` `gtk_color_selection_set_previous_color(Handle colorsel, Handle color)`
`void` `removeListener(ColorSelectionListener listener)` Removes a listener
`void` `setCurrentAlpha(int alpha)` Sets the current opacity to be alpha.
`void` `setCurrentColor(Color color)` Sets the current color to be color.
`void` `setHasOpacity(boolean hasOpacity)` Sets the widget to have an opacity control
`void` `setHasOpacityControl(boolean hasOpacity)` Sets the ColorSelection to use or not to use the opacity control.
`void` `setHasPalette(boolean hasPalette)` Shows and hides the palette based upon the value of hasPalette.
`void` `setPreviousAlpha(int alpha)` Sets the previous alpha value.
`void` `setPreviousColor(Color color)` Sets the previous color value.

Methods inherited from class org.gnu.gtk.VBox
`gtk_vbox_get_type, gtk_vbox_new`

Methods inherited from class org.gnu.gtk.Box
`getHomogeneous, getSpacing, gtk_box_get_homogeneous, gtk_box_get_spacing, gtk_box_get_type, gtk_box_pack_end_defaults, gtk_box_pack_end, gtk_box_pack_start_defaults, gtk_box_pack_start, gtk_box_query_child_packing, gtk_box_reorder_child, gtk_box_set_child_packing, gtk_box_set_homogeneous, gtk_box_set_spacing, packEnd, packEnd, packStart, packStart, reorderChild, setHomogeneous, setSpacing`

Methods inherited from class org.gnu.gtk.Container

`add, addListener, fireContainerEvent, getBorderWidth, getChildren, getResizeMode, gtk_container_add, gtk_container_check_resize, gtk_container_child_type, gtk_container_get_border_width, gtk_container_get_children, gtk_container_get_focus_chain, gtk_container_get_focus_hadjustment, gtk_container_get_focus_vadjustment, gtk_container_get_resize_mode, gtk_container_get_type, gtk_container_propagate_expose, gtk_container_remove, gtk_container_resize_children, gtk_container_set_border_width, gtk_container_set_focus_chain, gtk_container_set_focus_child, gtk_container_set_focus_hadjustment, gtk_container_set_focus_vadjustment, gtk_container_set_reallocate_redraws, gtk_container_set_resize_mode, gtk_container_unset_focus_chain, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, destroy, draw, drawArea, drawArea, findListener, finish, fireBooleanLifeCycleEvent, fireDragDestinationEvent, fireDragSourceEvent, fireExposeEvent, fireFocusEvent, fireKeyEvent, fireLifeCycleEvent, fireMouseEvent, fireMouseMotionEvent, getAccessible, getColormap, getContext, getData, getDisplay, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWindow, grabDefault, grabFocus, gtk_drag_dest_set, gtk_drag_dest_unset, gtk_drag_finish, gtk_drag_get_data, gtk_drag_highlight, gtk_drag_source_set_icon_pixbuf, gtk_drag_source_set_icon_stock, gtk_drag_source_set_icon, gtk_drag_source_set, gtk_drag_source_unset, gtk_drag_unhighlight, gtk_widget_activate, gtk_widget_add_accelerator, gtk_widget_add_events, gtk_widget_add_mnemonic_label, gtk_widget_can_activate_accel, gtk_widget_child_focus, gtk_widget_child_notify, gtk_widget_class_path, gtk_widget_create_pango_context, gtk_widget_create_pango_layout, gtk_widget_destroy, gtk_widget_destroyed, gtk_widget_ensure_style, gtk_widget_event, gtk_widget_freeze_child_notify, gtk_widget_get_accessible, gtk_widget_get_ancestor, gtk_widget_get_child_requisition, gtk_widget_get_child_visible, gtk_widget_get_colormap, gtk_widget_get_composite_name, gtk_widget_get_default_colormap, gtk_widget_get_default_direction, gtk_widget_get_default_style, gtk_widget_get_default_visual, gtk_widget_get_direction, gtk_widget_get_display, gtk_widget_get_events, gtk_widget_get_extension_events, gtk_widget_get_modifier_style, gtk_widget_get_name, gtk_widget_get_pango_context, gtk_widget_get_parent_window, gtk_widget_get_parent, gtk_widget_get_pointer, gtk_widget_get_root_window, gtk_widget_get_screen, gtk_widget_get_sensitive, gtk_widget_get_settings, gtk_widget_get_size_request, gtk_widget_get_style, gtk_widget_get_toplevel, gtk_widget_get_type, gtk_widget_get_visual, gtk_widget_get_window, gtk_widget_grab_default, gtk_widget_grab_focus, gtk_widget_has_screen, gtk_widget_hide_all, gtk_widget_hide_on_delete, gtk_widget_hide, gtk_widget_intersect, gtk_widget_is_ancestor, gtk_widget_is_focus, gtk_widget_list_accel_closures, gtk_widget_list_mnemonic_labels, gtk_widget_map, gtk_widget_mnemonic_activate, gtk_widget_modify_base, gtk_widget_modify_bg, gtk_widget_modify_fg, gtk_widget_modify_font, gtk_widget_modify_style, gtk_widget_modify_text, gtk_widget_path, gtk_widget_pop_colormap, gtk_widget_pop_composite_child, gtk_widget_push_colormap, gtk_widget_push_composite_child, gtk_widget_queue_draw_area, gtk_widget_queue_draw, gtk_widget_queue_resize, gtk_widget_realize, gtk_widget_ref, gtk_widget_region_intersect, gtk_widget_remove_accelerator, gtk_widget_remove_mnemonic_label, gtk_widget_render_icon, gtk_widget_reparent, gtk_widget_reset_rc_styles, gtk_widget_send_expose, gtk_widget_set_accel_path, gtk_widget_set_app_paintable, gtk_widget_set_child_visible, gtk_widget_set_colormap, gtk_widget_set_composite_name, gtk_widget_set_default_colormap, gtk_widget_set_default_direction, gtk_widget_set_direction, gtk_widget_set_double_buffered, gtk_widget_set_events, gtk_widget_set_extension_events, gtk_widget_set_name, gtk_widget_set_parent_window, gtk_widget_set_parent, gtk_widget_set_redraw_on_allocate, gtk_widget_set_scroll_adjustments, gtk_widget_set_sensitive, gtk_widget_set_size_request, gtk_widget_set_state, gtk_widget_set_style, gtk_widget_shape_combine_mask, gtk_widget_show_all, gtk_widget_show_now, gtk_widget_show, gtk_widget_size_allocate, gtk_widget_size_request, gtk_widget_style_get_property, gtk_widget_thaw_child_notify, gtk_widget_translate_coordinates, gtk_widget_unmap, gtk_widget_unparent, gtk_widget_unrealize, gtk_widget_unref, handleButtonPressed, handleButtonReleased, handleDelete, handleDragDataGet, handleDragDestination, handleExpose, handleFocusIn, handleFocusOut, handleHide, handleKeyPressed, handleKeyReleased, handleMap, handleMouseEnter, handleMouseLeave, handleMouseMotion, handleNoExpose, handleRealize, handleScroll, handleShow, handleUnmap, hasFocus, hasScreen, hide, hideAll, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`getFlags, gtk_object_destroy, gtk_object_get_type, gtk_object_sink, setFlags, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorSelection

    public ColorSelection()

  Creates a new gtk.ColorSelection.

### ColorSelection

    public ColorSelection(Handle handle)

  construct a ColorSelection from a handle to a native peer.

Method Detail

### setHasOpacity

    public void setHasOpacity(boolean hasOpacity)

  Sets the widget to have an opacity control

### setCurrentColor

    public void setCurrentColor(Color color)

  Sets the current color to be color. The first time this is called, it will also set the original color to be color too.

  Parameters:
    `color` -

### getCurrentColor

    public Color getCurrentColor()

  Returns the color which is set in the widget

  Returns:
    the set colour

### setHasOpacityControl

    public void setHasOpacityControl(boolean hasOpacity)

  Sets the ColorSelection to use or not to use the opacity control.

  Parameters:
    `hasOpacity` - true if this widget can set the opacity.

### getHasOpacityControl

    public boolean getHasOpacityControl()

  Determines whether the ColorSelection has an opacity control.

  Returns:
    true if the widget has the opacity control.

### setHasPalette

    public void setHasPalette(boolean hasPalette)

  Shows and hides the palette based upon the value of hasPalette.

  Parameters:
    `hasPalette` - true if the palette should be visible.

### getHasPalette

    public boolean getHasPalette()

  Determines whether the widget's palette is visible.

  Returns:
    true if the palette is visible.

### setCurrentAlpha

    public void setCurrentAlpha(int alpha)

  Sets the current opacity to be alpha. The first time this is called it will also set the original opacity to be alpha too.

  Parameters:
    `alpha` - An integer between 0 and 65535.

### getCurrentAlpha

    public int getCurrentAlpha()

  Returns the current opacity.

  Returns:
    An integer between 0 and 65535.

### setPreviousAlpha

    public void setPreviousAlpha(int alpha)

  Sets the previous alpha value.

### getPreviousAlpha

    public int getPreviousAlpha()

  Returns the previous alpha value.

### setPreviousColor

    public void setPreviousColor(Color color)

  Sets the previous color value.

### getPreviousColor

    public Color getPreviousColor()

  Returns the previous color.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### addListener

    public void addListener(ColorSelectionListener listener)

  Register an object to handle dialog events.

  See Also:
    `ColorSelectionListener`

### removeListener

    public void removeListener(ColorSelectionListener listener)

  Removes a listener

  See Also:
    `addListener(ColorSelectionListener)`

### fireColorSelectionEvent

    protected void fireColorSelectionEvent(ColorSelectionEvent event)

### getEventListenerClass

    public java.lang.Class getEventListenerClass(java.lang.String signal)

  Overrides:
    `getEventListenerClass` in class `Container`

### getEventType

    public EventType getEventType(java.lang.String signal)

  Overrides:
    `getEventType` in class `Container`

### gtk_color_selection_get_type

    protected static final int gtk_color_selection_get_type()

### gtk_color_selection_new

    protected static final Handle gtk_color_selection_new()

### gtk_color_selection_get_has_opacity_control

    protected static final boolean gtk_color_selection_get_has_opacity_control(Handle colorsel)

### gtk_color_selection_set_has_opacity_control

    protected static final void gtk_color_selection_set_has_opacity_control(Handle colorsel,
                                                                            boolean hasOpacity)

### gtk_color_selection_get_has_palette

    protected static final boolean gtk_color_selection_get_has_palette(Handle colorsel)

### gtk_color_selection_set_has_palette

    protected static final void gtk_color_selection_set_has_palette(Handle colorsel,
                                                                    boolean hasPalette)

### gtk_color_selection_set_current_color

    protected static final void gtk_color_selection_set_current_color(Handle colorsel,
                                                                      Handle color)

### gtk_color_selection_set_current_alpha

    protected static final void gtk_color_selection_set_current_alpha(Handle colorsel,
                                                                      int alpha)

### gtk_color_selection_get_current_color

    protected static final Handle gtk_color_selection_get_current_color(Handle colorsel)

### gtk_color_selection_get_current_alpha

    protected static final int gtk_color_selection_get_current_alpha(Handle colorsel)

### gtk_color_selection_set_previous_color

    protected static final void gtk_color_selection_set_previous_color(Handle colorsel,
                                                                       Handle color)

### gtk_color_selection_set_previous_alpha

    protected static final void gtk_color_selection_set_previous_alpha(Handle colorsel,
                                                                       int alpha)

### gtk_color_selection_get_previous_color

    protected static final void gtk_color_selection_get_previous_color(Handle colorsel,
                                                                       Handle color)

### gtk_color_selection_get_previous_alpha

    protected static final int gtk_color_selection_get_previous_alpha(Handle colorsel)

### gtk_color_selection_is_adjusting

    protected static final boolean gtk_color_selection_is_adjusting(Handle colorsel)

### gtk_color_selection_palette_from_string

    protected static final boolean gtk_color_selection_palette_from_string(java.lang.String str,
                                                                           Handle[] color)

### gtk_color_selection_palette_to_string

    protected static final java.lang.String gtk_color_selection_palette_to_string(Handle color,
                                                                                  int nColors)